'use strict';

module.exports = `pipeline {
  agent any

  environment {
      VERSION = VersionNumber([
          versionNumberString:
              '\${BUILDS_ALL_TIME}',
          versionPrefix: '1.0.',
          worstResultForIncrement: 'SUCCESS'
      ])
  }

  stages {
      stage('Building') {
          steps {
              script {
                  currentBuild.displayName = env.VERSION
              }
              sh 'yarn ci \${VERSION}'
          }
      }
  }
}
`;
